Drop outdated QT_USE_FAST_CONCATENATION & QT_USE_FAST_OPERATOR_PLUS

QT_USE_FAST_OPERATOR_PLUS has been deprecated in Qt 4.8, in favour of
QT_USE_QSTRINGBUILDER. The latter also covers QByteArray.

Qt5 headers still support QT_USE_FAST_OPERATOR_PLUS,
as subset of QT_USE_QSTRINGBUILDER as it was introduced in Qt4.8,
but not as documented build flag. As QT_USE_QSTRINGBUILDER is already set
in this project, we can drop it.

GIT_SILENT
parent 915c2ea2
......@@ -34,8 +34,6 @@ include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
set(CMAKE_CXX_STANDARD 14)
add_definitions(
-DQT_USE_FAST_CONCATENATION
-DQT_USE_FAST_OPERATOR_PLUS
-DQT_NO_CAST_FROM_ASCII
-DQT_NO_CAST_TO_ASCII
# -DQT_NO_CAST_FROM_BYTEARRAY
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment